__attribute__((__section__(".text.startup"))) void _start(void)
{
    int main(void);
    extern char __bss_start[], __bss_end[];

    for (char *s = __bss_start; s < __bss_end;  s++)
        *s = 0;

    main();
}
